明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1789|回复: 7

代码好像有问题啊,大家帮看一下吧!

[复制链接]
发表于 2005-5-17 11:17:00 | 显示全部楼层 |阅读模式
Attribute VB Name = "Form3"
Attribute VB GlobalNameSpace = False
Attribute VB Creatable = False
Attribute VB PredeclaredId = True
Attribute VB Exposed = False
Dim acadapp As AcadApplication 'ACAD对象 Private Sub Command1 Click()
Dim returnobj As AcadObject
Dim basepnt As Variant
Dim I As Integer Dim Name As String
Set acadapp = GetObject(, "AutoCAD.application")
'On Error Resume Next
'Dim ssetobj As AcadSelectionSet
'Set ssetobj = acadapp.ActiveDocument.SelectionSets.Add("Test1")
AppActivate acadapp.Caption '激活AutoCAD窗口 RETRY:
For I = 1 To 5
Select Case I
Case 1
Name = "房间号"
Case 2
Name = "房间名称"
Case 3
Name = "负责人"
Case 4
Name = "面积"
Case 5
Name = "类别"
End Select
'roomNo = acadapp.ActiveDocument.Utility.GetString(1, vbCrLf & "请输入房间号:")
'If roomNo = "" Then Exit Sub
'acadapp.ActiveDocument.Utility.GetEntity returnobj1, basepnt1, "请选择 房间号 "
'If Err <> 0 Then Exit Sub
'acadapp.ActiveDocument.Utility.GetEntity returnobj2, basepnt2, "请选择 房间名称 "
'If Err <> 0 Then Exit Sub
'acadapp.ActiveDocument.Utility.GetEntity returnobj3, basepnt3, "请选择 负责人 "
'If Err <> 0 Then Exit Sub
'acadapp.ActiveDocument.Utility.GetEntity returnobj4, basepnt4, "请选择 面积 "
'If Err <> 0 Then Exit Sub
'等待用户从屏幕上选择实体对象
acadapp.ActiveDocument.Utility.GetEntity returnobj, basepnt, "请选择" + Name If Err <> 0 Then
Err.Clear
Form1.Show
R.Close
c.Close
Set c = Nothing
Set R = Nothing
Exit Sub
Else
'根据图形的文字改数据库的数据
'-----------------------------
Set db = Workspaces(0).OpenDatabase(App.Path + "\zsw", False)
Set rst = db.OpenRecordset("2000", dbOpenTable)
rst.AddNew
rst.Fields(Name) = returnobj.TextString
rst.Update
rst.Close
db.Close
Set rst = Nothing
Set db = Nothing
'----------------------------
End If
Next I
GoTo RETRY
R.Close
c.Close
Set c = Nothing
Set R = Nothing
End Sub
开头的attribute就显示有错,attribute是什么意思啊!大家发表一下意见吧!
发表于 2005-5-17 21:11:00 | 显示全部楼层
你自己写的程序也不知道Attribute 是什么意思啊,我也不太清楚。
 楼主| 发表于 2005-5-18 16:07:00 | 显示全部楼层
不好意思。不是我自己写的!是找人帮我写的
发表于 2005-5-18 21:47:00 | 显示全部楼层
你的程序是保存成BAS或FRM文件后的文件内容,
Attribute VB Name = "Form3"
Attribute VB GlobalNameSpace = False
Attribute VB Creatable = False
Attribute VB PredeclaredId = True
Attribute VB Exposed = False
这些内容是文件的配置内容,而不是程序的一部分。
使用导入的方式导入文件时,则在程序段中并不会出现这些内容。
 楼主| 发表于 2005-5-19 09:20:00 | 显示全部楼层
哦,原来是这样,谢谢管理员了!


我也感觉到了,文件格式就是Visual Basic Form File。我打开它只能用VB6.0,我想用AutoCAD加载它,把这些程序转换成VBA格式可以吗?怎么办呢?
发表于 2005-5-20 08:57:00 | 显示全部楼层
晕,在VBA环境下导入这个文件就行了。
 楼主| 发表于 2005-5-20 19:39:00 | 显示全部楼层
不好意思,楼上的朋友,你能告诉我怎么导入吗?它的格式是Form。谢谢!
发表于 2005-5-23 10:45:00 | 显示全部楼层
在VBA环境的工程面板下右键选择导入文件。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-27 14:46 , Processed in 0.246477 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表